Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Tue 25 Sep 2018, 19:25
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Projects
latest frugal puppy and pet/txz packages
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [3 Posts]  
Author Message
david-c

Joined: 22 Dec 2015
Posts: 9

PostPosted: Wed 04 Jul 2018, 10:29    Post subject:  latest frugal puppy and pet/txz packages  

Hi,

I have returned to using puppy slacko (version 6.9.9.9) as a frugal installation and the browser seems to be out of date. I recently tried manually installing firefox 61 but this old slacko wasn't having any of it.

Has slacko6.9.9.9 itself been updated since last year?

is there a site where I can get custom-made .pet or txz packages which I can install myself (without using the ppm)?

Thanks,

Dave
Back to top
View user's profile Send private message 
bigpup


Joined: 11 Oct 2009
Posts: 11033
Location: Charleston S.C. USA

PostPosted: Wed 04 Jul 2018, 11:58    Post subject:  

No new development on Slacko 6.9.9.9.

I updated Firefox by using PPM.
Make sure to update the PPM database, first.
Do a search for Firefox.

First before installing from PPM.
I would delete anything you have already tried to install.

If you still can not get a working Firefox.
It usually needs some newer version of a dependency file/program.
PPM should take care of that, but if it did not.
Run Firefox in a console and see what is needed.

There are several Firefox topics in browser and Internet section of Additional Software.
http://www.murga-linux.com/puppy/index.php?f=63

You may also need to deal with this:
Fix audio in Firefox 52 or newer without having to install PulsAudio.
http://www.murga-linux.com/puppy/viewtopic.php?p=947398#947398

Newer versions of Firefox may also need this:
http://www.murga-linux.com/puppy/viewtopic.php?p=974746#974746

There is some newer info here:
http://www.murga-linux.com/puppy/templates/subSilver/images/icon_minipost.gif

_________________
I have found, in trying to help people, that the things they do not tell you, are usually the clue to solving the problem.
When I was a kid I wanted to be older.... This is not what I expected Shocked
Back to top
View user's profile Send private message 
david-c

Joined: 22 Dec 2015
Posts: 9

PostPosted: Thu 05 Jul 2018, 04:45    Post subject:  

Hi,

Thanks for your helpful reply.

In the event, I downloaded the following files and installed them manually via the unsquashfs/mksquashfs method.

at-spi2-atk-2.18.1-i586-1.txz
at-spi2-core-2.18.3-i586-1.txz
gtk+3-3.18.9-i586-1.txz
gtkmm3-3.18.1-i586-1.txz

and

Firefox-61.0.tar.bz2


Thanks,

Dave
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [3 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Projects
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0304s ][ Queries: 12 (0.0075s) ][ GZIP on ]